﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;
using System.Data.SqlClient;
using System.Data;

namespace BorisProject
{
    /// <summary>
    /// Логика взаимодействия для TrenerWindow.xaml
    /// </summary>
    public partial class TrenerWindow : Window
    {
        public TrenerWindow()
        {
            InitializeComponent();
        }
        SqlConnection con = new SqlConnection("Data Source=localhost;Initial Catalog=boris;Integrated Security=True");

        private void sorev_Click(object sender, RoutedEventArgs e)
        {
            sorev.Visibility = Visibility.Visible;
            trenirovka.Visibility = Visibility.Hidden;
            chel.Visibility = Visibility.Hidden;
        }

        private void Exit_Click(object sender, RoutedEventArgs e)
        {
            Application.Current.Shutdown();
        }

        private void trenirovka_Click(object sender, RoutedEventArgs e)
        {
            trenirovka.Visibility = Visibility.Visible;
            sorev.Visibility = Visibility.Hidden;
            chel.Visibility = Visibility.Hidden;
        }

        private void chel_Click(object sender, RoutedEventArgs e)
        {
            chel.Visibility = Visibility.Visible;
            sorev.Visibility = Visibility.Hidden;
            trenirovka.Visibility = Visibility.Hidden;
        }

        private void showtablesorev_Click(object sender, RoutedEventArgs e)
        {
            try
            {
                con.Open();
                string sql = "SELECT ID_sorev,Title,Place,[Date],Trener.LastName From Sorevnovania inner join Trener on Trener.ID_trener = Sorevnovania.ID_trener group by ID_sorev,Title,Place,[Date],Trener.ID_trener,Trener.LastName having Trener.ID_trener = '" + txtidtrener.Text + "'";
                SqlDataAdapter dataAdapter = new SqlDataAdapter(sql, con);
                DataTable data = new DataTable("Sorevnovania");
                dataAdapter.Fill(data);
                datasorev.ItemsSource = data.DefaultView;
                dataAdapter.Update(data);
                con.Close();
                datasorev.Columns[0].Header = "Номер соревнования";
                datasorev.Columns[1].Header = "Название";
                datasorev.Columns[2].Header = "Место";
                datasorev.Columns[3].Header = "Дата";
                datasorev.Columns[4].Header = "Тренер";
            }
            catch
            {
                con.Close();
                MessageBox.Show("Ошибка");
            }
        }

        private void PDF_Click(object sender, RoutedEventArgs e)
        {
            PrintDialog print = new PrintDialog();
            if (print.ShowDialog() == true)
            {
                print.PrintVisual(datasorev, "Sorevnovania");
            }
        }

        private void showctablechel_Click(object sender, RoutedEventArgs e)
        {
            try
            {
                con.Open();
                string sql = "SELECT PeopleTrain.FirstName,PeopleTrain.LastName,PeopleTrain.MiddleName,PeopleTrain.DOB,Trener.LastName From PeopleTrain inner join Trener on Trener.ID_trener = PeopleTrain.ID_Trener group by PeopleTrain.FirstName,PeopleTrain.LastName,PeopleTrain.MiddleName,PeopleTrain.DOB,Trener.LastName,Trener.ID_trener having Trener.ID_trener = '" + txtidtrener.Text + "'";
                SqlDataAdapter dataAdapter = new SqlDataAdapter(sql, con);
                DataTable data = new DataTable("TrainPeople");
                dataAdapter.Fill(data);
                datapeople.ItemsSource = data.DefaultView;
                dataAdapter.Update(data);
                con.Close();
                datapeople.Columns[0].Header = "Имя";
                datapeople.Columns[1].Header = "Фамилия";
                datapeople.Columns[2].Header = "Отчество";
                datapeople.Columns[3].Header = "Дата рождения";
                datapeople.Columns[4].Header = "Тренер";
            }
            catch
            {
                con.Close();
                MessageBox.Show("Ошибка");
            }
        }

        void showtabletrenirovka()
        {
            try
            {
                con.Open();
                string sql = "SELECT ID_Trenirovka,Adres,Date From Trenirovka Where ID_Trener = '" + txtidtrener.Text + "'";
                SqlDataAdapter dataAdapter = new SqlDataAdapter(sql, con);
                DataTable data = new DataTable("Trenirovka");
                dataAdapter.Fill(data);
                trendata.ItemsSource = data.DefaultView;
                dataAdapter.Update(data);
                trendata.Columns[0].Header = "КодТренировки";
                trendata.Columns[1].Header = "Адрес";
                trendata.Columns[2].Header = "Дата";
                con.Close();
            }
            catch
            {
                con.Close();
                MessageBox.Show("Ошибка");
            }
        }

        private void AddTrenirovka_Click(object sender, RoutedEventArgs e)
        {
            if (adrestrentxt.Text == "" || datetrenpic.SelectedDate == null)
            {
                MessageBox.Show("Пустые поля");
            }
            else
            {
                try
                {
                    con.Open();
                    string sql = "INSERT INTO Trenirovka (Adres,Date,ID_Trener)  VALUES('" + adrestrentxt.Text + "','" + datetrenpic.SelectedDate + "','" + txtidtrener.Text + "')";
                    SqlDataAdapter dataAdapter = new SqlDataAdapter(sql, con);
                    dataAdapter.SelectCommand.ExecuteNonQuery();
                    con.Close();
                    MessageBox.Show("Тренировка добавлена!");
                    showtabletrenirovka();
                }
                catch (Exception)
                {
                    con.Close();
                    MessageBox.Show("Ошибка!");
                }
            }
        }

        private void Showtabletrenirovka_Click(object sender, RoutedEventArgs e)
        {
            showtabletrenirovka();
        }

        private void UpdateTrenirovka_Click(object sender, RoutedEventArgs e)
        {
            if (kodtrentxt.Text == "")
            {
                MessageBox.Show("ID поле пустое");
            }
            else
            {
                try
                {
                    con.Open();
                    string sql = "Update Trenirovka set Adres ='" + adrestrentxt.Text + "', Date = '" + datetrenpic.SelectedDate + "' where ID_Trenirovka = '" + kodtrentxt.Text + "'";
                    SqlDataAdapter dataAdapter = new SqlDataAdapter(sql, con);
                    dataAdapter.SelectCommand.ExecuteNonQuery();
                    con.Close();
                    MessageBox.Show("Тренировка изменена");
                    showtabletrenirovka();
                }
                catch (Exception)
                {
                    con.Close();
                    MessageBox.Show("Ошибка");
                }
            }
        }

        private void DeleteTrenirovka_Click(object sender, RoutedEventArgs e)
        {
            if (kodtrentxt.Text == "")
            {
                MessageBox.Show("ID поле пустое");
            }
            else
            {
                try
                {
                    con.Open();
                    string sql = "DELETE FROM Trenirovka WHERE ID_Trenirovka = '" + kodtrentxt.Text + "'";
                    SqlDataAdapter dataAdapter = new SqlDataAdapter(sql, con);
                    dataAdapter.SelectCommand.ExecuteNonQuery();
                    con.Close();
                    MessageBox.Show("Тренировка удалена");
                    showtabletrenirovka();
                }
                catch
                {
                    con.Close();
                    MessageBox.Show("Ошибка");
                }
            }
        }





        //тесты
        public bool Add(string adres, string date, string id)
        {
            try
            {
                SqlConnection con = new SqlConnection("Data Source=localhost;Initial Catalog=boris;Integrated Security=True");
                con.Open();
                string sql = "INSERT INTO Trenirovka (Adres,Date,ID_Trener) VALUES('" + adres.ToString() + "','" + date.ToString() + "','" + id.ToString() + "')";
                SqlDataAdapter dataAdapter = new SqlDataAdapter(sql, con);
                dataAdapter.SelectCommand.ExecuteNonQuery();
                con.Close();
                MessageBox.Show("Запись произведена");
                return true;
            }
            catch (Exception)
            {
                MessageBox.Show("Ошибка");
                return false;
            }
        }


        public bool Update(string adres, string date, string id)
        {
            try
            {
                SqlConnection con = new SqlConnection("Data Source=localhost;Initial Catalog=boris;Integrated Security=True");
                con.Open();
                string sql = "Update Trenirovka set Adres ='" + adres.ToString() + "', Date = '" + date.ToString() + "' where ID_Trenirovka = '" + id.ToString() + "'";
                SqlDataAdapter dataAdapter = new SqlDataAdapter(sql, con);
                dataAdapter.SelectCommand.ExecuteNonQuery();
                con.Close();
                MessageBox.Show("Тренировка изменена");
                return true;
            }
            catch (Exception)
            {
                MessageBox.Show("Ошибка");
                return false;
            }
        }


        public bool Delete(string id)
        {
            try
            {
                SqlConnection con = new SqlConnection("Data Source=localhost;Initial Catalog=boris;Integrated Security=True");
                con.Open();
                string sql = "DELETE FROM Trenirovka WHERE ID_Trenirovka = '" + id.ToString() + "'";
                SqlDataAdapter dataAdapter = new SqlDataAdapter(sql, con);
                dataAdapter.SelectCommand.ExecuteNonQuery();
                con.Close();
                MessageBox.Show("Тренировка удалена");
                return true;
            }
            catch (Exception)
            {
                MessageBox.Show("Ошибка");
                return false;
            }
        }

    }
}
