﻿using Microsoft.VisualStudio.TestTools.UnitTesting;
using System;
using BorisProject;

namespace UnitTestProject1
{
    [TestClass]
    public class UnitTest1
    {
        [TestMethod]
        public void ProverkaVhoda()
        {
            var page = new MainWindow();
            Assert.IsTrue(page.Auth("kokin", "kokin"));
            Assert.IsTrue(page.Auth("bihtpet", "12345"));
            Assert.IsFalse(page.Auth("", ""));
            Assert.IsFalse(page.Auth("vadim", "ttttt"));
        }

        [TestMethod]
        public void ProverkaAdd()
        {
            var page = new TrenerWindow();
            Assert.IsTrue(page.Add("ТТИТ", "24.01.2005","2"));
            Assert.IsFalse(page.Add("ТГУ", "12345","2"));
        }

        [TestMethod]
        public void ProverkaUpdate()
        {
            var page = new TrenerWindow();
            Assert.IsTrue(page.Update("Спортзал", "24.01.2005", "6"));
            Assert.IsFalse(page.Update("Парк", "дата", "8"));
        }

        [TestMethod]
        public void ProverkaDelete()
        {
            var page = new TrenerWindow();
            Assert.IsTrue(page.Delete("5"));
            Assert.IsTrue(page.Delete("1"));
            Assert.IsTrue(page.Delete("2"));
            Assert.IsTrue(page.Delete("3"));
        }
    }
}
